EquipmentManager_SwapSpecsDB = EquipmentManager_SwapSpecsDB or {primary = nil, alternate = nil}

local function getCurrentSetName()
        return GetActiveTalentGroup() == 1 and "primary" or "secondary"
end

local f = CreateFrame("Frame")
f:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
f:SetScript("OnEvent", function()
	local set = getCurrentSetName()
	if EquipmentManager_SwapSpecsDB[set] then
			EquipmentManager_EquipSet(EquipmentManager_SwapSpecsDB[set])
	end
end)

hooksecurefunc("EquipmentManager_EquipSet", function(name)
        if name then
                EquipmentManager_SwapSpecsDB[getCurrentSetName()] = name
        end
end)
